com.sun.grid.jgdi.configuration

## Interface UserSet

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    UserSetImpl

      public interface UserSet
      extends GEObject

  Java representation of the cull object US_Type defined in sge_all_listsL.template

  Warning: The UserSet class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntries(java.lang.String aentries)` Add a java.lang.String attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getEntries(int index)` Get a java.lang.String attribute at an index.
    `int` | `getEntriesCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getEntriesList()` Get a unmodifiable list of all java.lang.String attributes.
    `int` | `getFshare()` Get the value of the fshare attribute.
    `int` | `getJobCnt()` Get the value of the jobCnt attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getOticket()` Get the value of the oticket attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetEntries()` Determine if any entries attribute is set
    `boolean` | `isSetFshare()` Determine if any fshare attribute is set
    `boolean` | `isSetJobCnt()` Determine if any jobCnt attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetOticket()` Determine if any oticket attribute is set
    `boolean` | `isSetType()` Determine if any type attribute is set
    `void` | `removeAllEntries()` Remove all java.lang.String attributes.
    `java.lang.String` | `removeEntries(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeEntries(java.lang.String aentries)` Remote a specific java.lang.String attribute.
    `void` | `setEntries(int index, java.lang.String aentries)` Set a java.lang.String attribute.
    `void` | `setFshare(int aFshare)` Set the fshare attribute.
    `void` | `setJobCnt(int aJobCnt)` Set the jobCnt attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOticket(int aOticket)` Set the oticket attribute.
    `void` | `setType(int aType)` Set the type attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setType

          void setType(int aType)

      Set the type attribute.
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          int getType()

      Get the value of the type attribute.
      Returns:
        the value of the type attribute

    - #### isSetType

          boolean isSetType()

      Determine if any type attribute is set
      Returns:
        `true` if the type attribute is set

    - #### setFshare

          void setFshare(int aFshare)

      Set the fshare attribute.
      Parameters:
        `aFshare` - the new value for the fshare attribute

    - #### getFshare

          int getFshare()

      Get the value of the fshare attribute.
      Returns:
        the value of the fshare attribute

    - #### isSetFshare

          boolean isSetFshare()

      Determine if any fshare attribute is set
      Returns:
        `true` if the fshare attribute is set

    - #### setOticket

          void setOticket(int aOticket)

      Set the oticket attribute.
      Parameters:
        `aOticket` - the new value for the oticket attribute

    - #### getOticket

          int getOticket()

      Get the value of the oticket attribute.
      Returns:
        the value of the oticket attribute

    - #### isSetOticket

          boolean isSetOticket()

      Determine if any oticket attribute is set
      Returns:
        `true` if the oticket attribute is set

    - #### setJobCnt

          void setJobCnt(int aJobCnt)

      Set the jobCnt attribute.
      Parameters:
        `aJobCnt` - the new value for the jobCnt attribute

    - #### getJobCnt

          int getJobCnt()

      Get the value of the jobCnt attribute.
      Returns:
        the value of the jobCnt attribute

    - #### isSetJobCnt

          boolean isSetJobCnt()

      Determine if any jobCnt attribute is set
      Returns:
        `true` if the jobCnt attribute is set

    - #### getEntriesList

          java.util.List<java.lang.String> getEntriesList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getEntriesCount

          int getEntriesCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getEntries

          java.lang.String getEntries(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addEntries

          void addEntries(java.lang.String aentries)

      Add a java.lang.String attribute.
      Parameters:
        `aentries` - the new java.lang.String attribute

    - #### setEntries

          void setEntries(int index,
                          java.lang.String aentries)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `aentries` - the new java.lang.String attribute

    - #### removeAllEntries

          void removeAllEntries()

      Remove all java.lang.String attributes.

    - #### removeEntries

          java.lang.String removeEntries(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeEntries

          boolean removeEntries(java.lang.String aentries)

      Remote a specific java.lang.String attribute.
      Parameters:
        `aentries` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetEntries

          boolean isSetEntries()

      Determine if any entries attribute is set
      Returns:
        `true` if the entries attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.